Subject: Re: [patch net-2.6.25 00/10][NETNS][IPV6] make sysctl per namespace - V3

From: Daniel Lezcano <[email-masked]>
Date: Thu, 10 Jan 2008 12:52:07 +0100

David Miller wrote:
> From: Daniel Lezcano <[email-masked]>
> Date: Wed, 09 Jan 2008 17:45:33 +0100
> 
>> The following patchset makes the ipv6 sysctl to handle multiple
>> network namespaces. Each instance of a network namespace as its own
>> set of sysctl values, that means the behavior of the ipv6 stack can be
>> different depending on the sysctl values setup in the different
>> network namespaces.
> 
> I applied all of this to net-2.6.25 but what a rough half hour
> it was :-/
> 
> Starting at patch #5 there were tons of "space before tab" errors.
> And as I fixed them up, this made subsequent patches need rediffing
> since the contextual lines in patches after #5 needed the whitespace
> fixed up as well.
> 
> I didn't push this back to you because this was already the 3rd round,
> but please show me some love and check this stuff out before
> submission.  GIT gives you effective ways to verify the whitespace
> without even applying the patch.
> 
> ~davem/bin/pcheck:
> 
> #!/bin/sh
> set -x
> git apply --check --whitespace=error-all $1

Sorry, I will check that in the future :|
Many thanks for taking the time to fix that.

   -- Daniel.